import { ApiClient, BugSplatResponse, TableDataResponse } from '../../common/index';
import { SummaryApiResponseRow } from '../summary-api-row/summary-api-row';
import { SummaryTableDataRequest } from './summary-table-data-request';
export declare class SummaryTableDataClient {
    private _apiClient;
    private _url;
    constructor(_apiClient: ApiClient, _url: string);
    postGetData(request: SummaryTableDataRequest): Promise<BugSplatResponse<TableDataResponse<SummaryApiResponseRow>>>;
    private makeRequest;
}
